Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.spatial.util
Class ValueSourceFilter

    java.lang.Object
      org.apache.lucene.search.Filter
          org.apache.lucene.spatial.util.ValueSourceFilter

    public class ValueSourceFilter

extends Filter

Filter that matches all documents where a ValueSource is in between a range of `min` and `max` inclusive.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

Constructor Summary
`ValueSourceFilter(Filter startingFilter, ValueSource source, double min, double max)`

Method Summary
`DocIdSet` | `getDocIdSet(AtomicReaderContext context, Bits acceptDocs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueSourceFilter

    public ValueSourceFilter(Filter startingFilter,
                             ValueSource source,
                             double min,
                             double max)

Method Detail

### getDocIdSet

    public DocIdSet getDocIdSet(AtomicReaderContext context,
                                Bits acceptDocs)
                         throws IOException

  Specified by:
    `getDocIdSet` in class `Filter`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.